//!OpenSCAD
$fn=160;

module makehole(diam, zpos, ypos) {
  translate([0, ypos, (zpos + diam / 2)]){
    rotate([0, 90, 0]){
      translate([0, 0, 0]){
        cylinder(r1=(diam / 2), r2=(diam / 2), h=50, center=false);
      }
    }
  }
}

difference() {
  difference() {
    cylinder(r1=12.5, r2=12.5, h=110, center=false);

    makehole(10.5, 5, 0);
    makehole(5, 27.5, 0);
    hull(){
      makehole(7, 50.5, 0);
      makehole(7, 50.5, -4);
    }
    hull(){
      makehole(7, 50.5, 0);
      makehole(7, 93.5, 0);
    }
    makehole(5, 103.5, 0);
  }

  translate([-5, 0, -5]){
    cylinder(r1=12.5, r2=12.5, h=120, center=false);
  }
}